[arch-commits] Commit in liquidwar/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Ionut Biru ibiru at archlinux.org
Mon Jan 18 10:14:56 EST 2010


    Date: Monday, January 18, 2010 @ 10:14:56
  Author: ibiru
Revision: 63784

Merged revisions 58440,63782 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/liquidwar/trunk

........
  r58440 | eric | 2009-11-08 00:52:39 +0200 (Sun, 08 Nov 2009) | 2 lines
  
  upgpkg: liquidwar 5.6.4-3
      fixed build problem on i686
........
  r63782 | ibiru | 2010-01-18 17:12:46 +0200 (Mon, 18 Jan 2010) | 2 lines
  
  upgpkg: liquidwar 5.6.4-4
      rebuild agaisnt allegro 4.4.0.1
........

Modified:
  liquidwar/repos/extra-x86_64/	(properties)
  liquidwar/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)


Property changes on: liquidwar/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /liquidwar/trunk:1-58422
   + /liquidwar/trunk:1-63783

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-18 15:13:30 UTC (rev 63783)
+++ extra-x86_64/PKGBUILD	2010-01-18 15:14:56 UTC (rev 63784)
@@ -5,12 +5,12 @@
 
 pkgname=liquidwar
 pkgver=5.6.4
-pkgrel=3
+pkgrel=4
 pkgdesc="A unique multiplayer wargame"
 arch=('i686' 'x86_64')
 url="http://www.ufoot.org/liquidwar/"
 license=('GPL')
-depends=('allegro>=4.2.3.1')
+depends=('allegro>=4.4.0.1')
 makedepends=('python')
 install=liquidwar.install
 source=(http://www.ufoot.org/download/$pkgname/v5/$pkgver/$pkgname-$pkgver.tar.gz)
@@ -19,9 +19,9 @@
 
 build() {
   cd "$srcdir/$pkgname-$pkgver"
-
   [ "$CARCH" == "x86_64" ] && EXTRAOPTS="--disable-asm"
-   ./configure --prefix=/usr --disable-doc-ps --disable-doc-pdf --disable-doc-php3 $EXTRAOPTS || return 1
+  ./configure --prefix=/usr --disable-doc-ps --disable-doc-pdf --disable-doc-php3 $EXTRAOPTS || return 1
+  sed -i 's|$(EXTERN_LIBS)|$(EXTERN_LIBS) -lm|' src/Makefile || return 1
   make GAMEDIR=/usr/bin DATADIR=/usr/share/$pkgname || return 1
   make DESTDIR="$pkgdir" DATADIR=/usr/share/$pkgname install || return 1
   mv "$pkgdir"/usr/games/* "$pkgdir/usr/bin/"



More information about the arch-commits mailing list